OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPLCAF
PDF

# PDF_TagSource Class Reference

`#include <PDF_TagSource.hxx>`

Inheritance diagram for PDF_TagSource:

[legend]

## Public Member Functions
Standard_EXPORT | PDF_TagSource ()
Standard_EXPORT | PDF_TagSource (const Standard_Integer V)
Standard_EXPORT Standard_Integer | Get () const
Standard_EXPORT void | Set (const Standard_Integer V)
| PDF_TagSource (const Storage_stCONSTclCOM &a)
Standard_Integer | _CSFDB_GetPDF_TagSourcemyValue () const
void | _CSFDB_SetPDF_TagSourcemyValue (const Standard_Integer p)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Standard_Integer | myValue

## Constructor & Destructor Documentation

Standard_EXPORT PDF_TagSource::PDF_TagSource | ( |  | ) |

Standard_EXPORT PDF_TagSource::PDF_TagSource | ( | const Standard_Integer | V | ) |

PDF_TagSource::PDF_TagSource | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

## Member Function Documentation

Standard_Integer PDF_TagSource::_CSFDB_GetPDF_TagSourcemyValue | ( |  | ) | const`[inline]`

void PDF_TagSource::_CSFDB_SetPDF_TagSourcemyValue | ( | const Standard_Integer | p | ) | `[inline]`

Standard_EXPORT Standard_Integer PDF_TagSource::Get | ( |  | ) | const

Standard_EXPORT const PDF_TagSource::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PDF_Attribute.

Standard_EXPORT void PDF_TagSource::Set | ( | const Standard_Integer | V | ) |

## Field Documentation

Standard_Integer PDF_TagSource::myValue`[private]`

The documentation for this class was generated from the following file:

- PDF_TagSource.hxx